Bug 712273 - (ghc-pointedlist) Review Request: ghc-pointedlist - A zipper-like comonad
Review Request: ghc-pointedlist - A zipper-like comonad
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: ghc-data-accessor ghc-derive
Blocks: yi
  Show dependency treegraph
 
Reported: 2011-06-10 00:35 EDT by Narasimhan
Modified: 2013-06-24 06:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 06:31:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Narasimhan 2011-06-10 00:35:05 EDT
Spec file : http://narasim.fedorapeople.org/package_reviews/ghc-pointedlist.spec

SRPM file : http://narasim.fedorapeople.org/package_reviews/ghc-pointedlist-0.4.0.2-1.fc14.src.rpm

rpmlint output:
ghc-pointedlist.i686: W: spelling-error Summary(en_US) comonad -> co monad, co-monad, commonage
The value of this tag appears to be misspelled. Please double-check.

ghc-pointedlist.i686: W: spelling-error %description -l en_US comonad -> co monad, co-monad, commonage
The value of this tag appears to be misspelled. Please double-check.

ghc-pointedlist.src: W: spelling-error Summary(en_US) comonad -> co monad, co-monad, commonage
The value of this tag appears to be misspelled. Please double-check.

ghc-pointedlist.src: W: spelling-error %description -l en_US comonad -> co monad, co-monad, commonage
The value of this tag appears to be misspelled. Please double-check.

ghc-pointedlist-devel.i686: W: spelling-error Summary(en_US) comonad -> co monad, co-monad, commonage
The value of this tag appears to be misspelled. Please double-check.

ghc-pointedlist-devel.i686: W: spelling-error %description -l en_US comonad -> co monad, co-monad, commonage
The value of this tag appears to be misspelled. Please double-check.

ghc-pointedlist-prof.i686: E: devel-dependency ghc-pointedlist-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-pointedlist-prof.i686: W: spelling-error Summary(en_US) comonad -> co monad, co-monad, commonage
The value of this tag appears to be misspelled. Please double-check.

ghc-pointedlist-prof.i686: W: spelling-error %description -l en_US comonad -> co monad, co-monad, commonage
The value of this tag appears to be misspelled. Please double-check.

ghc-pointedlist-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-pointedlist-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.3/pointedlist-0.4.0.2/libHSpointedlist-0.4.0.2_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 10 warnings.

Required for yi.
Comment 3 Narasimhan 2012-12-02 07:05:22 EST
Rpmlint output:

rpmlint -i ghc-pointedlist-0.3.5-2.fc17.x86_64.rpm ghc-pointedlist-devel-0.3.5-2.fc17.x86_64.rpm ghc-pointedlist-0.3.5-2.fc17.src.rpm ../ghc-pointedlist.spec
ghc-pointedlist.x86_64: W: spelling-error Summary(en_US) comonad -> Monaco
The value of this tag appears to be misspelled. Please double-check.

ghc-pointedlist-devel.x86_64: W: spelling-error Summary(en_US) comonad -> Monaco
The value of this tag appears to be misspelled. Please double-check.

ghc-pointedlist.src: W: spelling-error Summary(en_US) comonad -> Monaco
The value of this tag appears to be misspelled. Please double-check.

3 packages and 1 specfiles checked; 0 errors, 3 warnings.
Comment 4 Jason Tibbitts 2013-04-30 14:33:55 EDT
I am triaging old review tickets.  I can't promise a review if you reply, but by closing out the stale tickets we can devote extra attention to the ones which aren't stale.

spec and srpm links above are invalid.
Comment 5 Jens Petersen 2013-06-24 06:31:00 EDT
Closing out old Haskell Package Reviews that use deprecated macros
like %ghc_devel_package, etc, which are no longer available in F20 Rawhide.  Please update your package using cabal-rpm-0.8.x or later and re-open
or file a new Review Request.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.